/*------------------------------------------------
 * Proyecto: Anarit
 * Autor:    Pedro Reina <pedro@pedroreina.net>
 * Archivo:  AnaritHelp.java
 * Fecha:    S.21.5.2011
 * Licencia: GPLv2
 *----------------------------------------------*/

// El paquete de este programa
package net.pedroreina.anarit;

// Requerimientos
import android.app.Activity;
import android.os.Bundle;
import android.webkit.WebView;
import android.webkit.WebSettings;

// La actividad principal
public class AnaritHelp extends Activity
  {
  // El sistema crea la actividad
  @Override
  public void onCreate (Bundle Estado)
    {
    String FicheroAyuda;
    WebView VistaWeb;
    WebSettings Ajustes;

    super.onCreate (Estado);
    setContentView (R.layout.help);

    // Obtenemos los valores de las variables
    FicheroAyuda = getString (R.string.help_file);
    VistaWeb = (WebView) findViewById (R.id.textoayuda);
    Ajustes = VistaWeb.getSettings();

    // Las páginas web están escritas en UTF-8
    Ajustes.setDefaultTextEncodingName("utf-8");

    // Cargamos el archivo HTML en la vista web
    VistaWeb.loadUrl ("file:///android_asset/" + FicheroAyuda + ".html");
    }
  }
